clang-tools 10.0.0

Namespaces | Functions
clang Namespace Reference

===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===// More...

## Namespaces
| ast_matchers
| clangd
| doc
| find_all_symbols
| include_fixer
| move
| pp_trace
| query
| reorder_fields
| replace
| serialization
| tidy
| tooling

## Functions
static Token | getTokenAtLoc (SourceLocation Loc, const MatchFinder::MatchResult &MatchResult, IdentifierTable &IdentTable)
static bool | isUsedToInitializeAConstant (const MatchFinder::MatchResult &Result, const DynTypedNode &Node)
static bool | isUsedToDefineABitField (const MatchFinder::MatchResult &Result, const DynTypedNode &Node)

## Detailed Description

===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//

===– Representation.h - ClangDoc Representation ----------—*- C++ -*-===//

## Function Documentation

## ◆ getTokenAtLoc()

static Token clang::getTokenAtLoc | ( | SourceLocation | Loc,
|  | const MatchFinder::MatchResult & | MatchResult,
|  | IdentifierTable & | IdentTable
| ) |  |
| static

Definition at line 23 of file IntegerTypesCheck.cpp.

## ◆ isUsedToDefineABitField()

static bool clang::isUsedToDefineABitField | ( | const MatchFinder::MatchResult & | Result,
|  | const DynTypedNode & | Node
| ) |  |
| static

Definition at line 46 of file MagicNumbersCheck.cpp.

## ◆ isUsedToInitializeAConstant()

static bool clang::isUsedToInitializeAConstant | ( | const MatchFinder::MatchResult & | Result,
|  | const DynTypedNode & | Node
| ) |  |
| static

Definition at line 26 of file MagicNumbersCheck.cpp.